[packages/chromium-browser] script to create diff patches between versions
glen
glen at pld-linux.org
Sat Nov 3 10:27:27 CET 2012
commit 51259910a8b525d1eccc385c61d45e1d83710a6b
Author: Elan Ruusamäe <glen at delfi.ee>
Date: Sat Nov 3 11:27:01 2012 +0200
script to create diff patches between versions
make-diff-patch.sh | 24 ++++++++++++++++++++++++
1 file changed, 24 insertions(+)
---
diff --git a/make-diff-patch.sh b/make-diff-patch.sh
new file mode 100755
index 0000000..c32e161
--- /dev/null
+++ b/make-diff-patch.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Create .patch based on $1 for $2
+src=$1
+dst=$2
+ext=.tar.xz
+
+set -e
+
+srcdir=$(basename $src $ext)
+dstdir=$(basename $dst $ext)
+patch=$dstdir.patch
+
+test -d $srcdir || unpack $src
+test -d $dstdir || unpack $dst
+if diff -Nur $srcdir $dstdir > $patch; then
+ echo "No diffs!"
+else
+ echo "Patch created"
+ ls -lh $patch
+ diffstat $patch | tee $patch.diff
+ cat $patch.diff $patch | xz -9 > $patch.xz
+fi
+
+rm -rf $dstdir $srcdir
================================================================
---- gitweb:
http://git.pld-linux.org/gitweb.cgi/packages/chromium-browser.git/commitdiff/51259910a8b525d1eccc385c61d45e1d83710a6b
More information about the pld-cvs-commit
mailing list